
function _m(lhs,rhs,subject) {
    document.write("E-Mail: <a title=\"E-Mail\" href=\"mailto");
    document.write(":" + lhs + "@");
    document.write(rhs + "?subject=" + subject + "\">" + lhs + "@" + rhs + "<\/a>");
}
function _f(num, desc) {
    document.write("<span title=\"" + desc + "\">" + desc + ": " + num +"</span>");
}

const soundcloud = {};

function shariff(sc) {
    let el = document.getElementById(sc);
    el.removeAttribute("class");
    el.removeAttribute("style");
    el.innerHTML = soundcloud[sc] ?? '{ not found }';
}

function checkConsent()
{
    if (document.getElementById('consent_checkbox').checked) {
        document.getElementById('contact_submit').disabled = false;
        document.getElementById('contact_submit').classList.remove('cursor-not-allowed');
    } else {
        document.getElementById('contact_submit').disabled = true;
        document.getElementById('contact_submit').classList.add('cursor-not-allowed');
    }
}

function buttonSubmit()
{
    document.addEventListener('click', handler, true);
    document.body.classList.add('cursor-progress')

    function handler(e) {
        e.stopPropagation();
        e.preventDefault();
    }
}
